import matplotlib.pyplot as plt
numargs = dgamma.numargs
[ a ] = [0.9,] * numargs
rv = dgamma(a)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = dgamma.cdf(x, a)
h = plt.semilogy(np.abs(x - dgamma.ppf(prb, a)) + 1e-20)

# Random number generation

R = dgamma.rvs(a, size=100)
